skb_share_check
Prev | Socket Buffer Functions | Next

## Name

skb_share_check — check if buffer is shared and if so clone it

## Synopsis

`struct sk_buff * skb_share_check (` | struct sk_buff * | skb,
| gfp_t | pri`)`;

## Arguments

`skb`

  buffer to check

`pri`

  priority for memory allocation

## Description

If the buffer is shared the buffer is cloned and the old copy drops a reference. A new clone with a single reference is returned. If the buffer is not shared the original buffer is returned. When being called from interrupt status or with spinlocks held pri must be GFP_ATOMIC.

NULL is returned on a memory allocation failure.

Prev | Up | Next
skb_shared | Home | skb_unshare